Skip to content

Get third-party email service configuration

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get third-party email service configuration

Method name

ManagementClient.get_email_provider

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Request Response

Type: EmailProviderRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a EmailProviderDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "enabled": true,
    "type": "custom",
    "smtpConfig": {
      "smtp_host": "smtp.example.com",
      "smtp_port": 465,
      "sender": "test",
      "senderPass": "passw0rd",
      "secure": true
    },
    "sendGridConfig": {
      "sender": "test",
      "apikey": "xxxxxxxxxx"
    },
    "aliExmailConfig": {
      "sender": "test",
      "senderPass": "passw0rd"
    },
    "tencentExmailConfig": {
      "sender": "test",
      "senderPass": "passw0rd"
    }
  }
}

Data Structure

EmailProviderDto

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether to enable. If not enabled, the built-in mail service of GenAuth will be used by defaulttrue
typestringnoThird-party mail service provider type:
- custom: Custom SMTP mail service
- ali: Ali Enterprise Mailbox
- qq: Tencent Enterprise Mailbox
- sendgrid: SendGrid Mail Service
ali
smtpConfigNoSMTP mail service configuration Nested type: <a SMTPEmailProviderConfig.
sendGridConfigNoSendGrid mail service configuration Nested type: <a SendGridEmailProviderConfig.
aliExmailConfigNoAli enterprise mail service configuration Nested type: <a AliExmailEmailProviderConfig.
tencentExmailConfigNoTencent enterprise mail service configuration Nested type: <a TencentExmailEmailProviderConfig.

SMTPEmailProviderConfig

NameTypeIs this field required?DescriptionSample value
smtp_hoststringYesSMTP addresssmtp.example.com
smtp_portnumberYesSMTP port465
senderstringYesUsernametest
senderPassstringYesPasswordpassw0rd
securebooleanYesIs SSL enabled?true

SendGridEmailProviderConfig

NameTypeRequiredDescriptionSample value
senderstringyesUsernametest
apikeystringyesSendGrid API Key, see the SendGrid documentation for details.xxxxxxxxxx

AliExmailEmailProviderConfig

NameTypeIs it required?DescriptionSample value
senderstringYesUsernametest
senderPassstringYesPasswordpassw0rd

TencentExmailEmailProviderConfig

NameTypeIs it required?DescriptionSample value
senderstringyesusernametest
senderPassstringyespasswordpassw0rd

Agent infrastructure for identity, memory, and web action.